/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-07-12
 * 描述            ：标准成本项目维护
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.BaseCostStdMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_BASE_COST_STD", namespace=BaseCostStdMapper.class)
public class BaseCostStd extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/** 
	 * 成本项目编码
	 */ 
	@Id
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * 成本项目
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * 成本组织代码
	 */ 
	@Id
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * 成本组织
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * 计量单位
	 */ 
	@Column
	private String msr_unit;
	public String getMsr_unit() {
		return this.msr_unit;
	}
	public void setMsr_unit(String msr_unit) {
		this.msr_unit = msr_unit;
	}

	/** 
	 * 企标单耗
	 */ 
	@Column
	private Double std_consume_per;
	public Double getStd_consume_per() {
		return this.std_consume_per;
	}
	public void setStd_consume_per(Double std_consume_per) {
		this.std_consume_per = std_consume_per;
	}

	/** 
	 * 企标单位成本
	 */ 
	@Column
	private Double std_amount_per;
	public Double getStd_amount_per() {
		return this.std_amount_per;
	}
	public void setStd_amount_per(Double std_amount_per) {
		this.std_amount_per = std_amount_per;
	}

	/** 
	 * 行标单耗
	 */ 
	@Column
	private Double trade_consume_per;
	public Double getTrade_consume_per() {
		return this.trade_consume_per;
	}
	public void setTrade_consume_per(Double trade_consume_per) {
		this.trade_consume_per = trade_consume_per;
	}

	/** 
	 * 行标单位成本
	 */ 
	@Column
	private Double trade_amount_per;
	public Double getTrade_amount_per() {
		return this.trade_amount_per;
	}
	public void setTrade_amount_per(Double trade_amount_per) {
		this.trade_amount_per = trade_amount_per;
	}

	/** 
	 * 成材率
	 */ 
	@Column
	private Double yield;
	public Double getYield() {
		return this.yield;
	}
	public void setYield(Double yield) {
		this.yield = yield;
	}

	/** 
	 * 标准版本时间(2019年6月)
	 */ 
	@Id
	private String std_ver;
	public String getStd_ver() {
		return this.std_ver;
	}
	public void setStd_ver(String std_ver) {
		this.std_ver = std_ver;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * 有效标识(1有效 0无效)(只有一个版本有效)
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * 审核标识(1审核 0未审核)
	 */ 
	@Column
	private String audit_flg;
	public String getAudit_flg() {
		return this.audit_flg;
	}
	public void setAudit_flg(String audit_flg) {
		this.audit_flg = audit_flg;
	}

	/** 
	 * 审核人
	 */ 
	@Column
	private String audit_man;
	public String getAudit_man() {
		return this.audit_man;
	}
	public void setAudit_man(String audit_man) {
		this.audit_man = audit_man;
	}

	/** 
	 * 审核时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date audit_time;
	public Date getAudit_time() {
		return this.audit_time;
	}
	public void setAudit_time(Date audit_time) {
		this.audit_time = audit_time;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	
	//**************************************************************************************************
	//项目等级
	private Long item_grade;
	public Long getItem_grade() {
		return item_grade;
	}
	public void setItem_grade(Long item_grade) {
		this.item_grade = item_grade;
	}
	
	//项目类型
	private String item_type;
	public String getItem_type() {
		return item_type;
	}
	public void setItem_type(String item_type) {
		this.item_type = item_type;
	}

	
	
	 

}
